Subject: FVWM: Problems With Sun Type5 & Type4 Keyboards

From: Dennis Armstrong <[email-masked]>
Date: Tue, 20 May 1997 16:12:26 -0500

We have compiled and installed version 2.0.43 of FVWM.  This window
manager seems to do everything one could wish to configure.  This is
a great X-Window manager.  Congratulation and praises to the developer.

We have one just a couple of problems that you may have a solution for
or may have already fixed.

1. It seems that FVWM is performing some sort of key translation before
   it passes the key-code onto the application instead of giving the
   application the keyboard focus.  Basically I was unable to use the
   numeric keypad or any of the other keys that are next to the keypad
   (Pause, Page Up/Down, etc.) that the application required.  We
   put a print statement in the code to see what FVWM is sending.  The
   codes come out all right for the standard part of the keyboard except
   for these keys and some on the L-key pad on the left side.  Basicaly
   copy/paste/cut/undo/again keys on the left side (L-key pad) would not
   work like they do in CDE and OpenWindows.  Would like help in solving 
   this problem.

2. The FvwmBacker does not seem to function.  Here is the specification
   that I am using in the .fvwm2rc file.

   #*FvwmBackerDesk 0 -solid #aeb2c3
   #*FvwmBackerDesk 0 -solid steelblue
   #*FvwmBackerDesk 0 -solid midnightblue
   *FvwmBackerDesk 0 xv -quit -root /usr1/gort/dennis/tmp/WaterDrops.xpm

-- 
+-------------------------------------------------------------------+
| Name      : Dennis Armstrong                                      |
| Title     : CAD/CAE Software Developer                            |
| Company   : Motorola Incorporated                                 |
| Sector    : Semiconductor Products Sector                         |
| Group     : Communications & Advanced Consumer Technologies Group |
| Division  : Imaging and Storage Division                          |
| Operation : Advanced Cores & technologies                         |
| Department: CAD & Network Resources                               |
| Address   : 6501 William Cannon Drive West                        |
|             Austin, Texas 78735-8598, USA                         |
| Mail Drop : OE37                                                  |
| Phone     : 512-891-2322                                          |
| FAX       : 512-891-8315                                          |
| Email     : [email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Kai Grossjohann <[email-masked]>
Date: 21 May 1997 10:11:09 +0200

>>>>> Dennis Armstrong writes:

  Dennis> 1. It seems that FVWM is performing some sort of key
  Dennis>    translation before it passes the key-code onto the
  Dennis>    application instead of giving the application the
  Dennis>    keyboard focus. [...]

Using Fvwm you can bind an arbitrary key to perform some binding.  You
can specify this for the title bar, the frame, the buttons, the root
window, and the window contents itself.

For example, I have bound the "Front" key to do RaiseLower everywhere:

,-----
| # name          context modifier action   
| Key F15         A       A       RaiseLower
`-----

hth,
kai
-- 
Life is hard and then you die.